Bug 847517 - Review Request: php-pear-Net-DNS2 - PHP Resolver library used to communicate with a DNS server
Review Request: php-pear-Net-DNS2 - PHP Resolver library used to communicate ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 10:36 EDT by Remi Collet
Modified: 2012-09-25 12:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 12:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09 (6.31 KB, text/plain)
2012-09-14 06:53 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2012-08-12 10:36:41 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/master/php/pear/php-pear-Net-DNS2/php-pear-Net-DNS2.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pear-Net-DNS2-1.2.2-1.remi.src.rpm
Description:
Net_DNS2 - Native PHP5 DNS Resolver and Updater

The main features for this package include:
* Increased performance; most requests are 2-10x faster than Net_DNS
* Near drop-in replacement for Net_DNS
* Uses PHP5 style classes and exceptions
* Support for IPv4 and IPv6, TCP and UDP sockets.
* Includes a separate, more intuitive Updater class for handling dynamic update
* Support zone signing using TSIG and SIG(0) for updates and zone transfers
* Includes a local cache using shared memory or flat file to improve performance
* includes many more RR's, including DNSSEC RR's. 

Fedora Account System Username: remi
Comment 1 Remi Collet 2012-08-15 14:03:10 EDT
Minor changes (use php-pear(PEAR) instead of php-pear), so 
http://rpms.famillecollet.com/SRPMS/php-pear-Net-DNS2-1.2.2-2.remi.src.rpm
Comment 3 Shawn Iwinski 2012-09-13 21:40:14 EDT
In %check, I'm assuming "ping -c 1 dns.google.com" is to check whether the build host is connected to a public network and will then run all tests?  dns.google.com does not resolve on my machine and may not for other building machines.  Perhaps instead use one of the Google Public DNS IP addresses used in the resolver test file since they respond to pings as well? -- 8.8.8.8 or 8.8.4.4
Comment 4 Remi Collet 2012-09-14 00:57:13 EDT
(In reply to comment #3)
> In %check, I'm assuming "ping -c 1 dns.google.com" is to check whether the
> build host is connected to a public network and will then run all tests? 

Yes.
But it also check that resolver works.
So, as still prefer a name rather that an ip (and a server allowing ping)

> dns.google.com does not resolve on my machine and may not for other building
> machines.  Perhaps instead use one of the Google Public DNS IP addresses
> used in the resolver test file since they respond to pings as well? --
> 8.8.8.8 or 8.8.4.4

In our case, koji won't run this test. This is the designed behavior.

Do you think this is a blocker for the review ?
Comment 5 Shawn Iwinski 2012-09-14 06:50:26 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > In %check, I'm assuming "ping -c 1 dns.google.com" is to check whether the
> > build host is connected to a public network and will then run all tests? 
> 
> Yes.
> But it also check that resolver works.
> So, as still prefer a name rather that an ip (and a server allowing ping)

But your ping test would check that the build machine's DNS is set up and resolving correctly.  As far as I understand the package, it could work regardless of whether the build machine's DNS is set up correctly or not by correctly providing DNS nameserver IP addresses (and the package resolver test uses the Google Public DNS IPs).  If you really prefer a DNS name, perhaps use "google.com" instead?  I believe this would resolve for more people than "dns.google.com" -- this would match the actual package resolver test as well.

> > dns.google.com does not resolve on my machine and may not for other building
> > machines.  Perhaps instead use one of the Google Public DNS IP addresses
> > used in the resolver test file since they respond to pings as well? --
> > 8.8.8.8 or 8.8.4.4
> 
> In our case, koji won't run this test. This is the designed behavior.
> 
> Do you think this is a blocker for the review ?

No, not a blocker ;)
Comment 6 Shawn Iwinski 2012-09-14 06:53:23 EDT
Created attachment 612806 [details]
Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Comment 7 Shawn Iwinski 2012-09-14 06:54:35 EDT
No blockers.

==== APPROVED ====
Comment 8 Remi Collet 2012-09-14 07:05:23 EDT
Thanks for the review.
I will change used DNS after import.

New Package SCM Request
=======================
Package Name: php-pear-Net-DNS2
Short Description: PHP Resolver library used to communicate with a DNS server
Owners: remi
Branches: f17 f18 el6
InitialCC:
Comment 9 Jon Ciesla 2012-09-14 08:49:06 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-09-14 10:08:49 EDT
php-pear-Net-DNS2-1.2.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-pear-Net-DNS2-1.2.3-1.fc18
Comment 11 Fedora Update System 2012-09-14 10:09:25 EDT
php-pear-Net-DNS2-1.2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pear-Net-DNS2-1.2.3-1.fc17
Comment 12 Fedora Update System 2012-09-14 10:09:55 EDT
php-pear-Net-DNS2-1.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-Net-DNS2-1.2.3-1.el6
Comment 13 Fedora Update System 2012-09-16 13:09:36 EDT
php-pear-Net-DNS2-1.2.3-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 14 Fedora Update System 2012-09-25 12:33:28 EDT
php-pear-Net-DNS2-1.2.4-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.